# Uses of Class
org.codehaus.janino.Java.SuperclassMethodInvocation

Packages that use Java.SuperclassMethodInvocation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.SuperclassMethodInvocation in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.SuperclassMethodInvocation
Modifier and Type
Method
Description
`IClass.IMethod`
UnitCompiler.`findIMethod(Java.SuperclassMethodInvocation superclassMethodInvocation)`
`R`
Visitor.RvalueVisitor.`visitSuperclassMethodInvocation(Java.SuperclassMethodInvocation smi)`
Invoked by `accept(Visitor.RvalueVisitor)`

## Uses of Java.SuperclassMethodInvocation in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.SuperclassMethodInvocation
Modifier and Type
Method
Description
`Java.Rvalue`
DeepCopier.`copySuperclassMethodInvocation(Java.SuperclassMethodInvocation subject)`
`void`
AbstractTraverser.`traverseSuperclassMethodInvocation(Java.SuperclassMethodInvocation smi)`
`void`
Traverser.`traverseSuperclassMethodInvocation(Java.SuperclassMethodInvocation smi)`